/*
KeyViewLoop2

Tab order by non-sequential tag values.
*/

include "Tlbx CocoaUI.incl"
cocoainit

_window = 1
begin enum 1
_fld1
_fld2
_fld3
_fld4
_fld5
_fld6
end enum

void local fn BuildWindow
'~'1
dim as long   tag

cocoa window _window, @"KeyViewLoop2", (0,0,240,126)

textfield _fld1,,, (20,84,96,22)
textfield _fld2,,, (124,84,96,22)
textfield _fld3,,, (20,52,96,22)
textfield _fld4,,, (124,52,96,22)
textfield _fld5,,, (20,20,96,22)
textfield _fld6,,, (124,20,96,22)

for tag = _fld1 to _fld6
TextFieldSetPlaceholderString( tag, fn StringWithFormat( @"%ld", tag ) )
next

WindowSetAutorecalculatesKeyViewLoop( _window, _false )
fn ViewSetNextKeyView( _fld1, _fld5 )
fn ViewSetNextKeyView( _fld5, _fld4 )
fn ViewSetNextKeyView( _fld4, _fld6 )
fn ViewSetNextKeyView( _fld6, _fld2 )
fn ViewSetNextKeyView( _fld2, _fld3 )
fn ViewSetNextKeyView( _fld3, _fld1 )

WindowMakeFirstResponder( _window, _fld1 )
end fn

void local fn DoDialog( ev as long, tag as long, wnd as long )
'~'1
select ( ev )
case _controlDoCommandBySelector
select ( wnd )
case _window
if ( fn StringIsEqualToString( fn DialogEventString, @"insertNewline:" ) )// return key
WindowSelectKeyViewFollowingView(wnd,tag)
end if
end select
end select
end fn

fn BuildWindow

on dialog fn DoDialog

HandleEvents


