
/*
   Storyboard Demo 1

 - Storyboard main menu & window
 - Requires OS X 10.11+
   Bernie Wylde 20160928
*/

include resources "Main.storyboard"

BeginCDeclaration
@interface ViewController : NSViewController
@end
EndC

BeginCFunction
@implementation ViewController

- (void)buttonAction:(id)sender {
     [[[self view] viewWithTag:2] setStringValue:[NSString stringWithFormat:@"Hello, %@!",NSFullUserName()]];
}

- (void)viewDidLoad {
     [super viewDidLoad];
     [[[self view] viewWithTag:1] setAction:@selector(buttonAction:)];
}
@end
EndC

BeginCDeclaration
@interface AppDelegate : NSObject <NSApplicationDelegate>
@end
EndC

BeginCFunction
@implementation AppDelegate

#pragma mark - application delegate methods
- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)app {
    return YES;
}
@end
EndC

BeginCCode
return NSApplicationMain( argc, argv );
EndC



