// Brian 20170714

include "Util_RunningApplications.incl"
include "NSLog.incl"


dim as CFStringRef s
dim as CFDateRef  date
dim as long        pid

// Get localized name of current app and NSLog it
s =  fn RA_LocalizedName( fn RA_CurrentApplication() )
NSLog(@"%@",s)


// Check if some other app is running
if ( fn RA_IsAppRunning( @"app name" ) )  then NSLog(@"YES 'app name' is running")


// Check if current app is front-most. Same as System( _aplActive )   
if ( fn RA_IsFrontMostApp( fn RA_CurrentApplication() ) ) then NSLog(@"YES we are front most")


// Get a running app's launch date ( if not running, date will be nil )      
date = fn RA_LaunchDate( @"app name" ) 
if ( date) then NSLog(@"%@", date )


// Get a running app's process ID ( if not running, pid will be zero )
pid  = fn RA_ProcessID( @"app name"  )
if ( pid ) then NSLog(@"pid: %ld", pid ) 


RunApplicationEventLoop()

