//
//  CFEnumerator.m
//  
//  Bernie Wylde 20100125
//

#import <Foundation/Foundation.h>
#import "CFEnumerator.h"

CFTypeRef CFEnumeratorGetNextObject( CFEnumeratorRef enumerator )
{
	NSAutoreleasePool *localPool = [[NSAutoreleasePool alloc] init];
	CFTypeRef obj = (CFTypeRef)[(NSEnumerator *)enumerator nextObject];
	[localPool drain];
	return obj;
}

CFArrayRef CFEnumeratorCopyAllObjects( CFEnumeratorRef enumerator )
{
	NSAutoreleasePool *localPool = [[NSAutoreleasePool alloc] init];
	CFArrayRef array = (CFArrayRef)[[(NSEnumerator *)enumerator allObjects] retain];
	[localPool drain];
	return array;
}

