//
//  CFSortDescriptor.h
//  
//  Bernie Wylde 20091222
//

#ifndef CFSORTDESCRIPTOR_H
#define CFSORTDESCRIPTOR_H

typedef CFTypeRef CFSortDescriptorRef;

// create
CFSortDescriptorRef CFSortDescriptorCreate( CFStringRef key, Boolean ascending );
CFSortDescriptorRef CFSortDescriptorCreateCaseInsensitiveCompare( CFStringRef, Boolean ascending );

// getting information about a Sort Descriptor
Boolean CFSortDescriptorIsAscending( CFSortDescriptorRef descriptor );
CFStringRef CFSortDescriptorGetKey( CFSortDescriptorRef descriptor );

// using Sort Descriptors
CFSortDescriptorRef CFSortDescriptorReversedSortCopy( CFSortDescriptorRef descriptor );

#endif// ndef CFSORTDESCRIPTOR_H
