/*
 ClickGestureRecognizer.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

/*
 Subclass
 */
@interface CUI_ClickGestureRecognizer : NSClickGestureRecognizer
@end

// Class
Class ClickGestureRecognizerClass( void );

// - init -
NSClickGestureRecognizer *ClickGestureRecognizerInit( void *callback, void *userData );

// - configure -
NSUInteger ClickGestureRecognizerButtonMask( NSClickGestureRecognizer *ref );
void ClickGestureRecognizerSetButtonMask( NSClickGestureRecognizer *ref, NSUInteger mask );
NSInteger ClickGestureRecognizerNumberOfClicksRequired( NSClickGestureRecognizer *ref );
void ClickGestureRecognizerSetNumberOfClicksRequired( NSClickGestureRecognizer *ref, NSInteger clicks );

// - instance properties -
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101202
NSInteger ClickGestureRecognizerNumberOfTouchesRequired( NSClickGestureRecognizer *ref );
void ClickGestureRecognizerSetNumberOfTouchesRequired( NSClickGestureRecognizer *ref, NSInteger touches );
#endif

#endif
