/*
 ColorSampler.m
 
 Bernie Wylde
 */

#import "ColorSampler.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101500

// Class
Class ColorSamplerClass( void )
{ return [NSColorSampler class]; }

void ColorSamplerShow( void )
{
    if (@available(macOS 10.15, *)) {
        NSColorSampler *sampler = [[[NSColorSampler alloc] init] autorelease];
        [sampler showSamplerWithSelectionHandler:^(NSColor *selectedColor) {
            DialogEventSetColor( selectedColor );
            CallUserDefinedOnDialogFunction( colorSamplerSelectedColor, 0, 0, selectedColor );
        }];
    }
}

#endif  // 101500
