/*
 InflectionRule.h

 Bernie Wylde
 */

#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 120000

#pragma mark - InflectionRule

// Automatic inflection
NSInflectionRule *InflectionRuleAutomaticRule( void );

// Availability
BOOL InflectionRuleCanInflectLanguage( CFStringRef language );
BOOL InflectionRuleCanInflectPreferredLocalization( void );


#pragma mark - InflectionRuleExplicit

// Create
NSInflectionRuleExplicit *InflectionRuleExplicitWithMorphology( NSMorphology *morphology );

// Properties
NSMorphology *InflectionRuleExplicitMorphology( NSInflectionRuleExplicit *ref );

#endif// 120000

