/*
 MagnificationGestureRecognizer.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

/*
 Subclass
 */
@interface CUI_MagnificationGestureRecognizer : NSMagnificationGestureRecognizer
@end

// Class
Class MagnificationGestureRecognizerClass( void );

// - init -
NSMagnificationGestureRecognizer *MagnificationGestureRecognizerInit( void *callback, void *userData );

// - magnification factor -
CGFloat MagnificationGestureRecognizerMagnification( NSMagnificationGestureRecognizer *ref );
void MagnificationGestureRecognizerSetMagnification( NSMagnificationGestureRecognizer *ref, CGFloat magnification );

#endif// 101000
