/*
 MagnificationGestureRecognizer.m

 Bernie Wylde
 */

#import "MagnificationGestureRecognizer.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

/*
 Subclass
 */
@implementation CUI_MagnificationGestureRecognizer
@end

// Class
Class MagnificationGestureRecognizerClass( void )
{ return [NSMagnificationGestureRecognizer class]; }

// - init -
NSMagnificationGestureRecognizer *MagnificationGestureRecognizerInit( void *callback, void *userData )
{
    CUI_GestureRecognizerTarget *target = [[[CUI_GestureRecognizerTarget alloc] initWithCallback:callback userData:userData] autorelease];
    return [[[NSMagnificationGestureRecognizer alloc] initWithTarget:target action:@selector(action:)] autorelease];
}

// - magnification factor -
CGFloat MagnificationGestureRecognizerMagnification( NSMagnificationGestureRecognizer *ref )
{ return [ref magnification]; }

void MagnificationGestureRecognizerSetMagnification( NSMagnificationGestureRecognizer *ref, CGFloat magnification )
{ [ref setMagnification:magnification]; }

#endif// 101000
