/*
 Measurement.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101200

// Class
Class MeasurementClass( void );

// Create
NSMeasurement *MeasurementWithDoubleValue( double value, NSUnit *unit );

// Unit and value
NSUnit *MeasurementUnit( NSMeasurement *ref );
double MeasurementDoubleValue( NSMeasurement *ref );

// Convert
BOOL MeasurementCanBeConvertedToUnit( NSMeasurement *ref, NSUnit *unit );
NSMeasurement *MeasurementByConvertingToUnit( NSMeasurement *ref, NSUnit *unit );

// Operating on measurements
NSMeasurement *MeasurementByAddingMeasurement( NSMeasurement *ref1, NSMeasurement *ref2 );
NSMeasurement *MeasurementBySubtractingMeasurement( NSMeasurement *ref1, NSMeasurement *ref2 );

#endif// 101200

