/*
 OrderedCollectionChange.h
 
 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101500

// Class
Class OrderedCollectionChangeClass( void );

// Init
NSOrderedCollectionChange *OrderedCollectionChangeWithObject( CFTypeRef object, NSCollectionChangeType type, NSUInteger index );
NSOrderedCollectionChange *OrderedCollectionChangeWithObjectAssociatedIndex( CFTypeRef object, NSCollectionChangeType type, NSUInteger index, NSUInteger associatedIndex );

// Instance properties
NSUInteger OrderedCollectionChangeAssociatedIndex( NSOrderedCollectionChange *ref );
NSCollectionChangeType OrderedCollectionChangeType( NSOrderedCollectionChange *ref );
NSUInteger OrderedCollectionChangeIndex( NSOrderedCollectionChange *ref );
CFTypeRef OrderedCollectionChangeObject( NSOrderedCollectionChange *ref );

#endif// 101500
