/*
 PathControlItem.h

 Bernie Wylde
 */



#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

// Class
Class PathControlItemClass( void );

// Init
NSPathControlItem *PathControlItemInit( void );

// Instance properties
CFURLRef PathControlItemURL( NSPathControlItem *ref );
CFAttributedStringRef PathControlItemAttributedTitle( NSPathControlItem *ref );
void PathControlItemSetAttributedTitle( NSPathControlItem *ref, CFAttributedStringRef aString );
NSImage *PathControlItemImage( NSPathControlItem *ref );
void PathControlItemSetImage( NSPathControlItem *ref, NSImage *image );
CFStringRef PathControlItemTitle( NSPathControlItem *ref );
void PathControlItemSetTitle( NSPathControlItem *ref, CFStringRef string );

#endif// 101000
