/*
 PersonNameComponentsFormatter.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100

// Class
Class PersonNameComponentsFormatterClass( void );

// Create
NSPersonNameComponentsFormatter *PersonNameComponentsFormatterInit( void );

// Behavior
NSPersonNameComponentsFormatterStyle PersonNameComponentsFormatterStyle( NSPersonNameComponentsFormatter *ref );
void PersonNameComponentsFormatterSetStyle( NSPersonNameComponentsFormatter *ref, NSPersonNameComponentsFormatterStyle style );
BOOL PersonNameComponentsFormatterIsPhonetic( NSPersonNameComponentsFormatter *ref );
void PersonNameComponentsFormatterSetPhonetic( NSPersonNameComponentsFormatter *ref, BOOL flag );

// Convert
CFStringRef PersonNameComponentsFormatterLocalizedStringFromComponents( NSPersonNameComponents *comps, NSPersonNameComponentsFormatterStyle style, NSPersonNameComponentsFormatterOptions options );
CFStringRef PersonNameComponentsFormatterStringFromComponents( NSPersonNameComponentsFormatter *ref, NSPersonNameComponents *comps );
CFAttributedStringRef PersonNameComponentsFormatterAnnotatedStringFromComponents( NSPersonNameComponentsFormatter *ref, NSPersonNameComponents *comps );

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101200
NSPersonNameComponents *PersonNameComponentsFormatterComponentsFromString( NSPersonNameComponentsFormatter *ref, CFStringRef string );
#endif// 101200

BOOL PersonNameComponentsFormatterGetObjectValue( NSPersonNameComponentsFormatter *ref, CFTypeRef *obj, CFStringRef string, CFStringRef *errDescription );
#endif// 101100

// Instance properties
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 120000
CFLocaleRef PersonNameComponentsFormatterLocale( NSPersonNameComponentsFormatter *ref );
void PersonNameComponentsFormatterSetLocale( NSPersonNameComponentsFormatter *ref, CFLocaleRef locale );
#endif// 120000
