/*
 PointerFunctions.m

 Bernie Wylde
 */

#import "PointerFunctions.h"

// Class
Class PointerFunctionsClass( void )
{ return [NSPointerFunctions class]; }

// - create -
NSPointerFunctions *PointerFunctionsWithOptions( NSPointerFunctionsOptions options )
{ return [NSPointerFunctions pointerFunctionsWithOptions:options]; }

// - personality functions -
void *PointerFunctionsHashFunction( NSPointerFunctions *ref )
{ return [ref hashFunction]; }

void PointerFunctionsSetHashFunction( NSPointerFunctions *ref, void *fnAddress )
{ [ref setHashFunction:fnAddress]; }

void *PointerFunctionsIsEqualFunction( NSPointerFunctions *ref )
{ return [ref isEqualFunction]; }

void PointerFunctionsSetIsEqualFunction( NSPointerFunctions *ref, void *fnAddress )
{ [ref setIsEqualFunction:fnAddress]; }

void *PointerFunctionsSizeFunction( NSPointerFunctions *ref )
{ return [ref sizeFunction]; }

void PointerFunctionsSetSizeFunction( NSPointerFunctions *ref, void *fnAddress )
{ [ref setSizeFunction:fnAddress]; }

void *PointerFunctionsDescriptionFunction( NSPointerFunctions *ref )
{ return [ref descriptionFunction]; }

void PointerFunctionsSetDescriptionFunction( NSPointerFunctions *ref, void *fnAddress )
{ [ref setDescriptionFunction:fnAddress]; }

// - memory configuration -
void *PointerFunctionsAcquireFunction( NSPointerFunctions *ref )
{ return [ref acquireFunction]; }

void PointerFunctionsSetAcquireFunction( NSPointerFunctions *ref, void *fnAddress )
{ [ref setAcquireFunction:fnAddress]; }

void *PointerFunctionsRelinquishFunction( NSPointerFunctions *ref )
{ return [ref relinquishFunction]; }

void PointerFunctionsSetRelinquishFunction( NSPointerFunctions *ref, void *fnAddress )
{ [ref setRelinquishFunction:fnAddress]; }

