/*
 PressureConfiguration.m

 Bernie Wylde
 */

#import "PressureConfiguration.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100

// Class
Class PressureConfigurationClass( void )
{ return [NSPressureConfiguration class]; }

// Create
NSPressureConfiguration *PressureConfigurationWithBehavior( NSPressureBehavior behavior )
{ return [[[NSPressureConfiguration alloc] initWithPressureBehavior:behavior] autorelease]; }

void PressureConfigurationSet( NSPressureConfiguration *ref )
{ [ref set]; }

// Properties
NSPressureBehavior PressureConfigurationBehavior( NSPressureConfiguration *ref )
{ return [ref pressureBehavior]; }

#endif
