/*
 Range.h

 Bernie Wylde
 */


#import "CocoaUI.h"

CFRange RangeMake( NSUInteger location, NSUInteger length );
NSUInteger RangeMax( CFRange range );
BOOL RangeLocation( CFRange range, NSUInteger location );
BOOL RangeEqual( CFRange range1, CFRange range2 );
CFRange RangeUnion( CFRange range1, CFRange range2 );
CFRange RangeIntersection( CFRange range1, CFRange range2 );
CFRange RangeFromString( CFStringRef string );
CFStringRef RangeToString( CFRange range );
CFRange RangeFromString( CFStringRef string );


#pragma mark - Value additions
NSValue *ValueWithRange( CFRange range );
CFRange ValueRange( NSValue *ref );

