/*
 RotationGestureRecognizer.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

/*
 Subclass
 */
@interface CUI_RotationGestureRecognizer : NSRotationGestureRecognizer
@end

// Class
Class RotationGestureRecognizerClass( void );

// - init -
NSRotationGestureRecognizer *RotationGestureRecognizerInit( void *callback, void *userData );

// - interpreting -
CGFloat RotationGestureRecognizerRotation( NSRotationGestureRecognizer *ref );
void RotationGestureRecognizerSetRotation( NSRotationGestureRecognizer *ref, CGFloat rotation );
CGFloat RotationGestureRecognizerRotationInDegrees( NSRotationGestureRecognizer *ref );
void RotationGestureRecognizerSetRotationDegrees( NSRotationGestureRecognizer *ref, CGFloat rotation );

#endif

