/*
 SearchToolbarItem.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101600

// Class
Class SearchToolbarItemClass( void );

// Configure
BOOL SearchToolbarItemResignsFirstResponderWithCancel( NSSearchToolbarItem *ref );
void SearchToolbarItemSetResignsFirstResponderWithCancel( NSSearchToolbarItem *ref, BOOL flag );
NSSearchField *SearchToolbarItemSearchField( NSSearchToolbarItem *ref );
void SearchToolbarItemSetSearchField( NSSearchToolbarItem *ref, NSSearchField *searchFld );

// Instance properties
CGFloat SearchToolbarItemPreferredWidthForSearchField( NSSearchToolbarItem *ref );
void SearchToolbarItemSetPreferredWidthForSearchField( NSSearchToolbarItem *ref, CGFloat width );

// Instance methods
void SearchToolbarItemBeginSearchInteraction( NSSearchToolbarItem *ref );
void SearchToolbarItemEndSearchInteraction( NSSearchToolbarItem *ref );

#endif// 101600
