/*
 StatusBarButton.m

 Bernie Wylde
 */

#import "StatusBarButton.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
@implementation CUI_StatusBarButtonTarget

- (void)action:(id)sender {
    if ( _callback ) (*_callback)(sender,_userData);
}
@end

// Class
Class StatusBarButtonClass( void )
{ return [NSStatusBarButton class]; }

BOOL StatusBarButtonAppearsDisabled( NSStatusBarButton *ref )
{ return [ref appearsDisabled]; }

void StatusBarButtonSetAppearsDisabled( NSStatusBarButton *ref, BOOL flag )
{ [ref setAppearsDisabled:flag]; }
#endif
