/*
 Storyboard.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

// Class
Class StoryboardClass( void );

// Create
NSStoryboard *StoryboardWithName( CFStringRef name, CFBundleRef bundle );
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101300
NSStoryboard *StoryboardMain( void );
#endif// 101300

// Instantiate controller
CFTypeRef StoryboardInstantiateInitialController( NSStoryboard *ref );
CFTypeRef StoryboardInstantiateControllerWithIdentifier( NSStoryboard *ref, CFStringRef identifier );

// Instance methods
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101500
CFTypeRef StoryboardInstantiateControllerWithIdentifierAndCreator( NSStoryboard *ref, CFStringRef identifier, void *creatorFn, void *userData );
CFTypeRef StoryboardInstantiateInitialControllerWithCreator( NSStoryboard *ref, void *creatorFn, void *userData );
#endif// 101500

#endif// 101000
