/*
 StringDrawing.h

 Bernie Wylde
 */

#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100

/*
 StringDrawingContext
*/

// Class
Class StringDrawingContextClass( void );

// Scale factors
CGFloat StringDrawingContextMinimumScaleFactor( NSStringDrawingContext *ref );
void StringDrawingContextSetMinimumScaleFactor( NSStringDrawingContext *ref, CGFloat factor );
CGFloat StringDrawingContextActualScaleFactor( NSStringDrawingContext *ref );

// Bounds
CGRect StringDrawingContextTotalBounds( NSStringDrawingContext *ref );

#endif
