/*
 TableHeaderCell.m

 Bernie Wylde
 */

#import "TableHeaderCell.h"

@implementation TableHeaderCellSC

- (void)dealloc {
    // these three lines commented out. Cause intermittent crash 20220623
    //[self.columnIdentifier release];
    //[self.fontProp release];
    //[self.textColorProp release];
    [super dealloc];
}

- (NSFont *)font {
    CellEventSetFont( _fontProp );
    CallUserDefinedOnDialogFunction( cellFont, 0, 0, self );        
    return CellEventFont();
}

- (NSColor *)textColor {
    TextFieldCellEventSetTextColor( _textColorProp );
    CallUserDefinedOnDialogFunction( textFieldCellTextColor, 0, 0, self );
    return TextFieldCellEventTextColor();
}

@end

// Class
Class TableHeaderCellClass( void )
{ return [NSTableHeaderCell class]; }

// Create
NSTableHeaderCell *TableHeaderCellInit( void )
{ return [[[TableHeaderCellSC alloc] init] autorelease]; }

// Custom
CFStringRef TableHeaderCellColumnIdentifier( NSTableHeaderCell *ref )
{ return (__bridge CFStringRef)[(TableHeaderCellSC *)ref columnIdentifier]; }
