/*
 TextFieldCell.m

 Bernie Wylde
 */

#import "TextFieldCell.h"

@implementation TextFieldCellSC
- (NSColor *)textColor {
    TextFieldCellEventSetTextColor( [self textColor] );
    CallUserDefinedOnDialogFunction( textFieldCellTextColor, 0, 0, self );
    return TextFieldCellEventTextColor();
}
@end



@implementation CUI_TextFieldCellEvent

- (void)dealloc {
    [self.textColorObj release];
    [super dealloc];
}
@end

CUI_TextFieldCellEvent *CUI_TextFieldCellEventObj( void )
{
    static CUI_TextFieldCellEvent *sCUI_TextFieldCellEvent = nil;
    if ( !sCUI_TextFieldCellEvent ) sCUI_TextFieldCellEvent = [[CUI_TextFieldCellEvent alloc] init];
    return sCUI_TextFieldCellEvent;
}

NSColor *TextFieldCellEventTextColor( void )
{
    CUI_TextFieldCellEvent *obj = CUI_TextFieldCellEventObj();
    return [obj textColorObj];
}

void TextFieldCellEventSetTextColor( NSColor *col )
{
    CUI_TextFieldCellEvent *obj = CUI_TextFieldCellEventObj();
    [obj setTextColorObj:col];
}

// Class
Class TextFieldCellClass( void )
{ return [NSTextFieldCell class]; }
