/*
 TintConfiguration.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101600

// Class
Class TintConfigurationClass( void );

// Init
NSTintConfiguration *TintConfigurationWithFixedColor( NSColor *color );
NSTintConfiguration *TintConfigurationWithPreferredColor( NSColor *color );

// App appearance
BOOL TintConfigurationAdaptsToUserAccentColor( NSTintConfiguration *ref );

// Tint color
NSTintConfiguration *TintConfigurationDefault( void );
NSTintConfiguration *TintConfigurationMonochrome( void );
NSColor *TintConfigurationBaseTintColor( NSTintConfiguration *ref );
NSColor *TintConfigurationEquivalentContentTintColor( NSTintConfiguration *ref );

#endif// 101600
