/*
 TrackingSeparatorToolbarItem.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101600

// Class
Class TrackingSeparatorToolbarItemClass( void );

// Create
NSTrackingSeparatorToolbarItem *TrackingSeparatorToolbarItemWithIdentifier( CFStringRef identifier, NSInteger splitViewTag, NSInteger dividerIndex );

// Configure
NSInteger TrackingSeparatorToolbarItemDividerIndex( NSTrackingSeparatorToolbarItem *ref );
void TrackingSeparatorToolbarItemSetDividerIndex( NSTrackingSeparatorToolbarItem *ref, NSInteger index );
NSInteger TrackingSeparatorToolbarItemSplitView( NSTrackingSeparatorToolbarItem *ref );
void TrackingSeparatorToolbarItemSetSplitView( NSTrackingSeparatorToolbarItem *ref, NSInteger splitViewTag );

#endif// 101600
