#import "_1_Serial_port_tests.fb,Serial_port_tests.h"
#import "ArrayIndices.h"

#import "_0_TranslatedRuntime.h"

///////////////////////////////////////////////////
//       translated globals and fns              //
///////////////////////////////////////////////////
 
long  SendAndGetReply( long serialPort, Str255 cmd_p, long ticksToWait ) 
{
  Str255 cmd;  PSstrcpy( cmd, cmd_p ); 
  gFBStk -= 1; 
  Str255            s; 
  CUI_PrintToWindowPrintStatement( @"", NULL );  
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pSending " )), StringWithPascalString( PSstrcpy( STACK_PUSH(), cmd )), StringWithPascalString( PSstrcpy( STACK_PUSH(), "\p..." )), NULL ); 
  FBRoute( serialPort );   FBPrintString( PSstrcpy( STACK_PUSH(), cmd ) );  PrintCR(); 
  FBRoute( 0 ); 
  CFAbsoluteTime    t = CFAbsoluteTimeGetCurrent(); 
 
  do 
  { 
  FBDelay( 5 ); 
  FBLineInputHash( serialPort, (StringPtr)&s ); 



  if ( PSlen( PSstrcpy( STACK_PUSH(), s ) ) ) 
  { 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), s )), @"\b", NULL ); 
  } 
  } 
  while ( !( CFAbsoluteTimeGetCurrent() > t + (double)ticksToWait ) ); 
  return 0; 
}  
  
long              port; 
long              k; 
long              portStatus; 
FBBoolean         modemPortOK; 

///////////////////////////////////////////////////
//            translated main code               //
///////////////////////////////////////////////////
int main( int __unused argc, const char * __unused argv[] ) 
{ 
  CocoaInit(); 
  InitFBGlobals(); 
  modemPortOK = true; 
  FBInitSerialPorts(); 
  CUI_Window( 1, NULL, CGRectZero, kFBParamMissing ); 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pSerial ports found:" )), NULL ); 
  k = 1; 
 
  while ( k <= gFBSerialPortCount ) 
  { 
  CUI_PrintToWindowPrintStatement( (__bridge id)@(- k), StringWithPascalString( PSstrcpy( STACK_PUSH(), "\p  " )), StringWithPascalString( PSstrcpy( STACK_PUSH(), gFBSerialName[ChkBounds( k, 12, 74, CFSTR("Serial port tests.fb") )] )), StringWithPascalString( PSstrcpy( STACK_PUSH(), "\p  " )), StringWithPascalString( PSstrcpy( STACK_PUSH(), gFBSerialInName[ChkBounds( k, 12, 74, CFSTR("Serial port tests.fb") )] )), StringWithPascalString( PSstrcpy( STACK_PUSH(), "\p  " )), StringWithPascalString( PSstrcpy( STACK_PUSH(), gFBSerialOutName[ChkBounds( k, 12, 74, CFSTR("Serial port tests.fb") )] )), NULL ); 
  k++; 
  } 
  CUI_PrintToWindowPrintStatement( @"", NULL );  
 
  for ( k  = 0; k <= gFBSerialPortCount + 1; k++ )  { 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\popen C " )), @(- k), @"\t", NULL ); 
  gFBOnErrorVector = NULL; 
  gFBFileError = noErr ;  
  FBSerialOpen( - k, 19200, 2, 0, 0, 0 ); 
  if ( FBerror() ) 
  { 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pfailed" )), NULL ); 
  gFBFileError = noErr ;  
  } 
  else 
  { 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\popened" )), NULL ); 
  } 
  } 
  CUI_PrintToWindowPrintStatement( @"", NULL );  
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pClosing all" )), NULL ); 
  FBClose(  0 ); 
  CUI_PrintToWindowPrintStatement( @"", NULL );  
 
  for ( k  = 0; k <= gFBSerialPortCount + 1; k++ )  { 
  portStatus = TermGetStatus( - k ); 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pTermGetStatus " )), @(- k), @"\t", @(portStatus), NULL ); 
  if ( (-(k == 1)) & (-(portStatus == 0)) ) 
  { 
  modemPortOK = ZTRUE; 
  } 
  } 
  CUI_PrintToWindowPrintStatement( @"", NULL );  
  if ( modemPortOK ) 
  { 
  port = -1; 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pOpening serial port " )), @(port), NULL ); 
  FBSerialOpen( port, 14400, 0, 0, 0, 4096 ); 
  CUI_PrintToWindowPrintStatement( @"", NULL );  
 
  for ( k  = 0; k <= gFBSerialPortCount + 1; k++ )  { 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pTermGetStatus " )), @(- k), @"\t", @(TermGetStatus( - k )), NULL ); 
  } 
  CUI_PrintToWindowPrintStatement( @"", NULL );  
  FBHandShake( port, 2 ); 
  SendAndGetReply( port, PSstrcpy( STACK_PUSH(), "\pATI3" ), 60 ); 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pClosing serial port " )), @(port), NULL ); 
  FBClose( port ); 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pOpening serial port " )), @(port), NULL ); 
  FBSerialOpen( port, 115200, 0, 0, 0, 0 ); 
  SendAndGetReply( port, PSstrcpy( STACK_PUSH(), "\p++" ), 60 ); 
  CUI_PrintToWindowPrintStatement( @"", NULL );  
  } 
  else 
  { 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pmodem port (-1) not available" )), NULL ); 
  } 
  CUI_PrintToWindowPrintStatement( (__bridge id)StringWithPascalString( PSstrcpy( STACK_PUSH(), "\pDone" )), NULL ); 
  FBHandleEvents(); 
  return 0; 
} 
  

