
include "Quartz.incl"

local mode
local fn BuildWindows
'~'1
window 1, @"QuickDraw", (0,50)-(420,370), _kDocumentWindowClass

// point
color _zBlue
pen 6, 6
plot 20, 20

// green box
pen 12, 12
color _zGreen
box 50, 50 to 100, 100

pen 1, 1
color _zBlack
plot 30, 50 to 120, 50
plot 50, 30 to 50, 120
plot 30, 100 to 120, 100
plot 100, 30 to 100, 120

// blue circle
pen 12, 12
color _zBlue
circle 250, 250, 50
pen 1, 1
color _zBlack
box 200, 200 to 300, 300

// red line
pen 12, 12
color _zRed
plot 75, 75 to 250, 250
pen 1, 1
color _zBlack
plot 75, 75 to 250, 250

// arc
pen 12, 12
color _zMagenta
circle 200, 80, 50 to 0, 96
pen 1, 1
color _zBlack
circle 200, 80, 50 to 0, 96

// cyan circle/yellow fill
ratio 64, 0
pen 6, 6
color _zYellow
circle fill 100, 250, 50
color _zCyan
circle 100, 250, 50
ratio 0,0

// black box/grey fill
long color 32767, 32767, 32767, _zTrue
box fill 300, 50 to 400, 150
color _zBlack
box 300, 50 to 400, 150


window 2, @"Quartz", (450,50)-(870,370), _kDocumentWindowClass

// point
fn QuartzSetLineWidth( 6.0 )
fn QuartzSetQDColor( _zBlue )
fn QuartzLine( 20.0, 20.0, 20.0, 20.0 )

// green rect
fn QuartzSetLineWidth( 12.0 )
fn QuartzSetQDColor( _zGreen )
fn QuartzRect( 50.0, 50.0, 100.0, 100.0, _false, _zTrue )

fn QuartzSetLineWidth( 1.0 )
fn QuartzSetQDColor( _zBlack )
fn QuartzLine( 30.0, 50.0, 120.0, 50.0 )
fn QuartzLine( 50.0, 30.0, 50.0, 120.0 )
fn QuartzLine( 30.0, 100.0, 120.0, 100.0 )
fn QuartzLine( 100.0, 30.0, 100.0, 120.0 )

// blue oval
fn QuartzSetLineWidth( 12.0 )
fn QuartzSetQDColor( _zBlue )
fn QuartzOval( 250.0, 250.0, 50.0, _false, _zTrue )

fn QuartzSetLineWidth( 1.0 )
fn QuartzSetQDColor( _zBlack )
fn QuartzRect( 200.0, 200.0, 300.0, 300.0, _false, _zTrue )

// red line
fn QuartzSetLineWidth( 12.0 )
fn QuartzSetQDColor( _zRed )
fn QuartzLine( 75.0, 75.0, 250.0, 250.0 )

fn QuartzSetLineWidth( 1.0 )
fn QuartzSetQDColor( _zBlack )
fn QuartzLine( 75.0, 75.0, 250.0, 250.0 )

// arc
fn QuartzSetLineWidth( 12.0 )
fn QuartzSetFillQDColor( _zMagenta )
fn QuartzSetStrokeQDColor( _zMagenta )
fn QuartzArc( 200.0, 80.0, 50.0, 0.0, 96.0, _zTrue, _false, _zTrue )

fn QuartzSetLineWidth( 1.0 )
fn QuartzSetStrokeQDColor( _zBlack )
fn QuartzArc( 200.0, 80.0, 50.0, 0.0, 96.0, _zTrue, _false, _zTrue )

// cyan oval/yellow fill
fn QuartzSetRatio( 1.5, 1.0 )
fn QuartzSetFillQDColor( _zYellow )
fn QuartzSetStrokeQDColor( _zCyan )
fn QuartzSetLineWidth( 6.0 )
fn QuartzOval( 100.0, 250.0, 50.0, _zTrue, _zTrue )
fn QuartzSetRatio( 1.0, 1.0 )

// black rect/grey fill
fn QuartzSetFillColor( 0.5, 0.5, 0.5, 1.0 )
fn QuartzSetStrokeQDColor( _zBlack )
fn QuartzRect( 300.0, 50.0, 400.0, 150.0, _zTrue, _zTrue )


window 3, @"More Quartz", (0,420)-(420,740), _kDocumentWindowClass

// point
fn QuartzSetLineWidth( 6.0 )
fn QuartzSetQDColor( _zBlue )
fn QuartzLine( 20.0, 20.0, 20.0, 20.0 )

fn QuartzShadowSetValues( 20.0, 20.0, 5.0, _false )
fn QuartzSetShadow( _zTrue )

// green rect
fn QuartzSetLineWidth( 12.0 )
fn QuartzSetQDColor( _zGreen )
fn QuartzRect( 50.0, 50.0, 100.0, 100.0, _false, _zTrue )

fn QuartzSetLineWidth( 1.0 )
fn QuartzSetQDColor( _zBlack )
fn QuartzLine( 30.0, 50.0, 120.0, 50.0 )
fn QuartzLine( 50.0, 30.0, 50.0, 120.0 )
fn QuartzLine( 30.0, 100.0, 120.0, 100.0 )
fn QuartzLine( 100.0, 30.0, 100.0, 120.0 )

// blue oval
fn QuartzSetLineWidth( 12.0 )
fn QuartzSetQDColor( _zBlue )
fn QuartzOval( 250.0, 250.0, 50.0, _false, _zTrue )

fn QuartzSetLineWidth( 1.0 )
fn QuartzSetQDColor( _zBlack )
fn QuartzRect( 200.0, 200.0, 300.0, 300.0, _false, _zTrue )

// red line
dim as single  dashSize(3)
dashSize(0) = 10
dashSize(1) = 20
dashSize(2) = 20
dashSize(3) = 20
fn QuartzSetLineDash( 0.0, @dashSize(0), 4 )

fn QuartzSetLineWidth( 12.0 )
fn QuartzSetQDColor( _zRed )
fn QuartzLine( 75.0, 75.0, 250.0, 250.0 )

fn QuartzClearLineDash

fn QuartzSetLineWidth( 1.0 )
fn QuartzSetQDColor( _zBlack )
fn QuartzLine( 75.0, 75.0, 250.0, 250.0 )

// arc
fn QuartzSetLineWidth( 12.0 )
fn QuartzSetFillQDColor( _zMagenta )
fn QuartzSetStrokeQDColor( _zMagenta )
fn QuartzArc( 200.0, 80.0, 50.0, 0.0, 96.0, _zTrue, _false, _zTrue )

fn QuartzSetLineWidth( 1.0 )
fn QuartzSetStrokeQDColor( _zBlack )
fn QuartzArc( 200.0, 80.0, 50.0, 0.0, 96.0, _zTrue, _false, _zTrue )

fn QuartzSetShadow( _false )

// cyan oval/yellow fill
fn QuartzSetRatio( 1.5, 1.0 )
fn QuartzSetFillQDColor( _zYellow )
fn QuartzSetStrokeQDColor( _zCyan )
fn QuartzSetLineWidth( 6.0 )
fn QuartzOval( 100.0, 250.0, 50.0, _zTrue, _zTrue )
fn QuartzSetRatio( 1.0, 1.0 )

// black rect/grey fill
fn QuartzSetFillColor( 0.5, 0.5, 0.5, 1.0 )
fn QuartzSetStrokeQDColor( _zBlack )
fn QuartzRect( 300.0, 50.0, 400.0, 150.0, _zTrue, _zTrue )


window 4, @"Even More Quartz", (450,420)-(800,670), _kDocumentWindowClass

fn QuartzSetDefaults()

// red fill rect
fn QuartzSetFillColor( 1.0, 0.0, 0.0, 1.0 )
fn QuartzRect( 20.0, 20.0, 220.0, 120.0, _zTrue, _false )

// blue fill rect
fn QuartzSetFillColor( 0.0, 0.0, 1.0, 0.5 )
fn QuartzRect( 20.0, 20.0, 120.0, 220.0, _zTrue, _false )

// yellow stroke, green fill oval
fn QuartzSetFillColor( 0.0, 1.0, 0.0, 0.5 )

fn QuartzSetLineWidth( 12.0 )
fn QuartzSetStrokeColor( 1.0, 1.0, 0.0, 1.0 )
fn QuartzOval( 120.0, 120.0, 80.0, _zTrue, _zTrue )

// green stroke, red fill rounded rect
fn QuartzSetLineWidth( 10.0 )
fn QuartzSetStrokeColor( 0.0, 1.0, 0.0, 1.0 )
fn QuartzSetFillColor( 1.0, 0.0, 0.0, 0.2 )
fn QuartzRoundedRect( 140.0, 140.0, 330.0, 230.0, 20.0, 20.0, _zTrue, _zTrue )
end fn


fn BuildWindows()

RunApplicationEventLoop()

