//
//  CFStatusItem.h
//  
//  Bernie Wylde 20110802
//

#ifndef CFSTATUSITEM_H
#define CFSTATUSITEM_H

#import "CFMenu.h"

typedef CFTypeRef CFStatusItemRef;

CFStatusItemRef CFStatusItemCreate( CGFloat length  );

void CFStatusItemSetTitle( CFStatusItemRef item, CFStringRef title );

void CFStatusItemSetAttributedTitle( CFStatusItemRef item, CFAttributedStringRef title );

void CFStatusItemSetImage( CFStatusItemRef item, CGImageRef image );

void CFStatusItemSetResourceImage( CFStatusItemRef item, CFStringRef file, CFStringRef type );

void CFStatusItemSetLength( CFStatusItemRef item, CGFloat length );

void CFStatusItemSetHightlightMode( CFStatusItemRef item, Boolean flag );

void CFStatusItemSetToolTip( CFStatusItemRef item, CFStringRef string );

void CFStatusItemSetEnabled( CFStatusItemRef item, Boolean flag );

void CFStatusItemSetMenu( CFStatusItemRef item, CFMenuRef menu );

void CFStatusItemRemove( CFStatusItemRef item );

#endif// ndef CFSTATUSITEM_H
