/*
Original by BW circa January 2008

Brian 20170928
Updated to work with a now 64-bit index.c within build_goodies ( FB runtime )

Brian 20200122
Updated to use NSLog calls for PRINTs and savepanel/openpanel
*/

include "CFIndex.incl"
include "NSLog.incl"
_numElem  = 10
local fn ShowIndex
'~'1
dim as CFIndex count, i
dim as Str255 temp

count = mem( _numElem )
NSLogPascal( "") : temp = "Count:" + str$( count )
NSLogPascal( temp )
if ( count )
for i = 0 to count - 1
temp = str$( i ) + " " + index$( i )
NSLogPascal(  temp )
next i
end if
end fn

dim as Str255   tmpStr
dim as CFURLRef url

// add
index$( 0 ) = "Delta"
index$( 1 ) = "Charlie"
index$( 2 ) = "Golf"
index$( 3 ) = "Alpha"
index$( 4 ) = "Echo"

// insert, replace, delete, append
index$ I( 1 ) = "Foxtrot"
index$( 1 ) = "FutureBASIC"
index$ D( 3 )
fn CFIndexAppend( 0, "Bravo" )
fn ShowIndex()


// sort
fn CFIndexSort( 0 )
fn ShowIndex()


// find
NSLogPascal("")
tmpStr = """Charlie"" found at element" + str$( indexf( "Charlie" ) )
NSLogPascal( tmpStr )

// write
url = savepanel 1, @"Save a file",, @"MyFile"
if ( url ) then fn CFIndexWrite( 0, url )

// clear
clear index$ 0
fn ShowIndex()


// read
url = openpanel 1, @"Select file to read"
if ( url ) then fn CFIndexRead( 0, url )

fn ShowIndex()


HandleEvents

