/*
KeyViewLoop1

Tabbing order (KeyViewLoop) of fields can be arranged by tag value.
*/

include "Tlbx CocoaUI.incl"
cocoainit

_window = 1
begin enum 1
_fld1
_fld2
_fld3
_fld4
_fld5
_fld6
end enum

void local fn BuildWindow
'~'1
dim as long   tag

cocoa window _window, @"KeyViewLoop1", (0,0,240,126)

textfield _fld1,,, (124,84,96,22)
textfield _fld2,,, (20,52,96,22)
textfield _fld3,,, (124,20,96,22)
textfield _fld4,,, (20,20,96,22)
textfield _fld5,,, (20,84,96,22)
textfield _fld6,,, (124,52,96,22)

for tag = _fld1 to _fld6
TextFieldSetPlaceholderString( tag, fn StringWithFormat( @"%ld", tag ) )
next

WindowRecalculateKeyViewLoopByTagOrder( _window)
WindowMakeFirstResponder( _window, _fld1 )
end fn

void local fn DoDialog( ev as long, tag as long, wnd as long )
'~'1
select ( ev )
case _controlDoCommandBySelector
select ( wnd )
case _window
if ( fn StringIsEqualToString( fn DialogEventString, @"insertNewline:" ) )// return key
WindowSelectKeyViewFollowingView(wnd,tag)
end if
end select
end select
end fn

fn BuildWindow

on dialog fn DoDialog

HandleEvents


