
/*
  Regex Find Numbers

  Ken Shmidheiser 20181010
*/

include "Tlbx CocoaUI.incl"
cocoainit

include "NSLog.incl"

dim as CFStringRef testStr, numberMatch
dim as CFArrayRef  matches
dim as CFRange     range
dim as RegularExpressionRef  regex
dim as TextCheckingResultRef matchResult

testStr = @"There are 10 tour buses to transport 375 passengers. They will be visiting 12 sites over 14 days."

regex = fn RegularExpressionWithPattern( @"(\\d+)", NSRegularExpressionCaseInsensitive, NULL )
range = fn CFRangeMake( 0, fn StringLength(testStr) )
matches = fn RegularExpressionMatches( regex, testStr, NULL, range )

for matchResult in matches
numberMatch = fn StringSubstringWithRange( testStr, fn TextCheckingResultRangeAtIndex( matchResult, 0 ) )
NSLog( @"Number found: %@", numberMatch )
next

HandleEvents

