//
//  CFData Additions.h
//
//  Bernie Wylde 20100103
//


#ifndef CFDATA_ADDITIONS_H
#define CFDATA_ADDITIONS_H

// create
CFDataRef CFDataCreateWithContentsOfURL( CFURLRef url );
CFDataRef CFDataCreateWithContentsOfFile( FSRef *ref );

// compare
Boolean CFDataIsEqualToData( CFDataRef data1, CFDataRef data2 );

// store
Boolean CFDataWriteToURL( CFDataRef data, CFURLRef url );
Boolean CFDataWriteToPath( CFDataRef data, CFStringRef path );
Boolean CFDataWriteToFile( CFDataRef data, FSRef *parRef, CFStringRef filename );

// description
CFStringRef CFDataCreateDescription( CFDataRef data );

#endif	/*CFDATA_ADDITIONS_H*/
