//
//  CFString Additions.h
//
//  Bernie Wylde 20100104
//


#ifndef CFSTRING_ADDITIONS_H
#define CFSTRING_ADDITIONS_H

// create
CFStringRef CFStringCreateWithContentsOfURL( CFURLRef url, CFStringEncoding encoding );
CFStringRef CFStringCreateWithContentsOfFile( FSRef *ref, CFStringEncoding encoding );

// dividing
CFArrayRef CFStringCreateArraySeparatedByCharactersInSet( CFStringRef string, CFCharacterSetRef set );
CFStringRef CFStringCreateByTrimmingCharactersInSet( CFStringRef inString, CFCharacterSetRef set );

// store
Boolean CFStringWriteToURL( CFStringRef string, CFURLRef url, CFStringEncoding encoding );
Boolean CFStringWriteToPath( CFStringRef string, CFStringRef path, CFStringEncoding encoding );
Boolean CFStringWriteToFile( CFStringRef string, FSRef *parRef, CFStringRef filename, CFStringEncoding encoding );
Boolean CFStringAppendToURL( CFStringRef string, CFURLRef url, CFStringEncoding encoding );// OS X 10.6 or later
Boolean CFStringAppendToPath( CFStringRef string, CFStringRef path, CFStringEncoding encoding );
Boolean CFStringAppendToFile( CFStringRef string, FSRef *ref, CFStringEncoding encoding );

#endif	/*CFSTRING_ADDITIONS_H*/
