//The advantage of bookmarks is they are valid between OS reboots. This second example stores the bookmark in app prefs.
'---------------
/*
Bookmark Demo 2

Bernie Wylde 20120623
*/

output "Bookmark Demo"
include "Tlbx CFPreferences.incl"

_mainWnd = 1
begin enum 1
_cSaveBtn
_cOpenBtn
end enum

_openBatchFileNum = 2

local fn SaveBtn
'~'1
dim as Str255 s
dim as CFURLRef url
dim as CFDataRef bookmarkData

s = files$( _CFURLRefSave, "Create a new Surface Tension project", "Teds files", @url )
long if ( s )
open "O", _openBatchFileNum, @url
print #_openBatchFileNum, "Hello"
close #_openBatchFileNum
bookmarkData = fn CFURLCreateBookmarkData( _kCFAllocatorDefault, url, _kCFURLBookmarkCreationMinimalBookmarkMask, 0, 0, NULL )
CFRelease( url )
CFPreferencesSetAppValue( @"BookmarkData", bookmarkData, kCFPreferencesCurrentApplication )
CFRelease( bookmarkData )
fn CFPreferencesAppSynchronize( kCFPreferencesCurrentApplication )
end if
end fn

local fn OpenBtn
'~'1
dim as Str255 s
dim as CFURLRef url
dim as CFDataRef bookmarkData

bookmarkData = fn CFPreferencesCopyAppValue( @"BookmarkData", kCFPreferencesCurrentApplication )
long if ( bookmarkData )
url = fn CFURLCreateByResolvingBookmarkData( _kCFAllocatorDefault, bookmarkData, 0, 0, 0, NULL, NULL )
long if ( url )
open "I", _openBatchFileNum, @url
line input #_openBatchFileNum, s
close _openBatchFileNum
print s
CFRelease( url )
end if
CFRelease( bookmarkData )
end if
end fn

local fn BuildWindow
'~'1
dim as Rect r

SetRect( r, 0, 0, 516, 366 )
appearance window -_mainWnd, @"Bookmark Demo 2", @r, _kDocumentWindowClass

SetRect( r, 20, 326, 90, 346 )
appearance button _cSaveBtn,,,,, @"Save", @r, _kControlPushButtonProc

SetRect( r, 102, 326, 172, 346 )
appearance button _cOpenBtn,,,,, @"Open", @r, _kControlPushButtonProc

window _mainWnd
end fn

local fn DoDialog
'~'1
dim as long ev, id

ev = dialog( 0 )
id = dialog( ev )
select ( ev )
case _btnClick
select ( id )
case _cSaveBtn : fn SaveBtn
case _cOpenBtn : fn OpenBtn
end select
end select
end fn

fn BuildWindow

on dialog fn DoDialog

do
HandleEvents
until gFBQuit
'---------------

