/*
 ComparisonPredicate.h
 
 Bernie Wylde
 */


#import "CocoaUI.h"

// Class
Class ComparisonPredicateClass( void );

// Create
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100
NSComparisonPredicate *ComparisonPredicateWithCoder( NSCoder *coder );
#endif// 101100
NSComparisonPredicate *ComparisonPredicateWithCustomSelector( NSExpression *leftExpression, NSExpression *rightExpression, CFStringRef customSelector );
NSComparisonPredicate *ComparisonPredicateWithModifier( NSExpression *leftExpression, NSExpression *rightExpression, NSComparisonPredicateModifier modifier, NSPredicateOperatorType type, NSComparisonPredicateOptions options );

// Info
NSComparisonPredicateModifier ComparisonPredicateModifier( NSComparisonPredicate *ref );
SEL ComparisonPredicateCustomSelector( NSComparisonPredicate *ref );
NSExpression *ComparisonPredicateRightExpression( NSComparisonPredicate *ref );
NSExpression *ComparisonPredicateLeftExpression( NSComparisonPredicate *ref );
NSComparisonPredicateOptions ComparisonPredicateOptions( NSComparisonPredicate *ref );
NSPredicateOperatorType ComparisonPredicateOperatorType( NSComparisonPredicate *ref );
