/*
 ListFormatter.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101500

// Class
Class ListFormatterClass( void );

// Create
NSListFormatter *ListFormatterInit( void );

// Instance properties
NSFormatter *ListFormatterItemFormatter( NSListFormatter *ref );
void ListFormatterSetItemFormatter( NSListFormatter *ref, NSFormatter *formatter );
CFLocaleRef ListFormatterLocale( NSListFormatter *ref );
void ListFormatterSetLocale( NSListFormatter *ref, CFLocaleRef locale );

// Instance methods
CFStringRef ListFormatterStringForObjectValue( NSListFormatter *ref, CFTypeRef obj );
CFStringRef ListFormatterStringFromItems( NSListFormatter *ref, CFArrayRef items );

// Type methods
CFStringRef ListFormatterLocalizedStringByJoiningStrings( CFArrayRef strings );

#endif// 101500
