/*
 PointerFunctions.h

 Bernie Wylde
 */


#import "CocoaUI.h"

// Class
Class PointerFunctionsClass( void );

// - create -
NSPointerFunctions *PointerFunctionsWithOptions( NSPointerFunctionsOptions options );

// - personality functions -
void *PointerFunctionsHashFunction( NSPointerFunctions *ref );
void PointerFunctionsSetHashFunction( NSPointerFunctions *ref, void *fnAddress );
void *PointerFunctionsIsEqualFunction( NSPointerFunctions *ref );
void PointerFunctionsSetIsEqualFunction( NSPointerFunctions *ref, void *fnAddress );
void *PointerFunctionsSizeFunction( NSPointerFunctions *ref );
void PointerFunctionsSetSizeFunction( NSPointerFunctions *ref, void *fnAddress );
void *PointerFunctionsDescriptionFunction( NSPointerFunctions *ref );
void PointerFunctionsSetDescriptionFunction( NSPointerFunctions *ref, void *fnAddress );

// - memory configuration -
void *PointerFunctionsAcquireFunction( NSPointerFunctions *ref );
void PointerFunctionsSetAcquireFunction( NSPointerFunctions *ref, void *fnAddress );
void *PointerFunctionsRelinquishFunction( NSPointerFunctions *ref );
void PointerFunctionsSetRelinquishFunction( NSPointerFunctions *ref, void *fnAddress );

