/*
 RelativeDateTimeFormatter.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101500

// Class
Class RelativeDateTimeFormatterClass( void );

// Create
NSRelativeDateTimeFormatter *RelativeDateTimeFormatterInit( void );

// Instance properties
CFCalendarRef RelativeDateTimeFormatterCalendar( NSRelativeDateTimeFormatter *ref );
void RelativeDateTimeFormatterSetCalendar( NSRelativeDateTimeFormatter *ref, CFCalendarRef cal );
NSRelativeDateTimeFormatterStyle RelativeDateTimeFormatterStyle( NSRelativeDateTimeFormatter *ref );
void RelativeDateTimeFormatterSetStyle( NSRelativeDateTimeFormatter *ref, NSRelativeDateTimeFormatterStyle style );
NSFormattingContext RelativeDateTimeFormatterFormattingContext( NSRelativeDateTimeFormatter *ref );
void RelativeDateTimeFormatterSetFormattingContext( NSRelativeDateTimeFormatter *ref, NSFormattingContext context );
CFLocaleRef RelativeDateTimeFormatterLocale( NSRelativeDateTimeFormatter *ref );
void RelativeDateTimeFormatterSetLocale( NSRelativeDateTimeFormatter *ref, CFLocaleRef locale );
NSRelativeDateTimeFormatterUnitsStyle RelativeDateTimeFormatterUnitsStyle( NSRelativeDateTimeFormatter *ref );
void RelativeDateTimeFormatterSetUnitsStyle( NSRelativeDateTimeFormatter *ref, NSRelativeDateTimeFormatterUnitsStyle style );

// Instance methods
CFStringRef RelativeDateTimeFormatterLocalizedStringForDate( NSRelativeDateTimeFormatter *ref, CFDateRef dt, CFDateRef referenceDate );
CFStringRef RelativeDateTimeFormatterLocalizedStringFromDateComponents( NSRelativeDateTimeFormatter *ref, NSDateComponents *components );
CFStringRef RelativeDateTimeFormatterLocalizedStringFromTimeInterval( NSRelativeDateTimeFormatter *ref, CFTimeInterval ti );
CFStringRef RelativeDateTimeFormatterStringForObjectValue( NSRelativeDateTimeFormatter *ref, CFTypeRef obj );

#endif// 101500
