/*
 StatusBarButton.h

 Bernie Wylde
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
typedef void (*CUI_StatusBarButtonCallbackType)(NSStatusBarButton *,void*);

@interface CUI_StatusBarButtonTarget : NSObject
@property (assign) CUI_StatusBarButtonCallbackType callback;
@property (assign) void *userData;
@end

// Class
Class StatusBarButtonClass( void );

BOOL StatusBarButtonAppearsDisabled( NSStatusBarButton *ref );
void StatusBarButtonSetAppearsDisabled( NSStatusBarButton *ref, BOOL flag );
#endif

