/*
 StringDrawing.m

 Bernie Wylde
 */

#import "StringDrawing.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100

/*
 StringDrawingContext
*/

// Class
Class StringDrawingContextClass( void )
{ return [NSStringDrawingContext class]; }

// Scale factors
CGFloat StringDrawingContextMinimumScaleFactor( NSStringDrawingContext *ref )
{ return [ref minimumScaleFactor]; }

void StringDrawingContextSetMinimumScaleFactor( NSStringDrawingContext *ref, CGFloat factor )
{ [ref setMinimumScaleFactor:factor]; }

CGFloat StringDrawingContextActualScaleFactor( NSStringDrawingContext *ref )
{ return [ref actualScaleFactor]; }

// Bounds
CGRect StringDrawingContextTotalBounds( NSStringDrawingContext *ref )
{ return NSRectToCGRect([ref totalBounds]); }

#endif// 101100
