/*
 Switch.h

 Bernie Wylde
 */


#import "CocoaUI.h"

//#import "View.h"
//#import "Window.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101500

API_AVAILABLE(macos(10.15))
@interface SwitchSC : NSSwitch
@end

API_AVAILABLE(macos(10.15))
@interface CUI_SwitchTarget : NSObject
@end

// Class
Class SwitchClass( void );

NSSwitch *SwitchWithTag( NSInteger tag );
BOOL SwitchExists( NSInteger tag );

// State
NSControlStateValue SwitchState( NSInteger tag );
void SwitchSetState( NSInteger tag, NSControlStateValue state );

// Init
NSSwitch *SwitchInit( NSInteger inTag, CGRect inRect );

// Statement
void CUI_Switch( NSInteger inTag, NSInteger inEnabled, NSControlStateValue inState, CGRect inRect, NSInteger inWndTag );

#endif  // 101500
