/*
 TitlebarAccessoryViewController.h

 Bernie Wylde
 
 macOS 10.10+
 */


#import "CocoaUI.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

// Class
Class TitlebarAccessoryViewControllerClass( void );

// Configure
CGFloat TitlebarAccessoryViewControllerFullScreenMinHeight( NSTitlebarAccessoryViewController *ref );
void TitlebarAccessoryViewControllerSetFullScreenMinHeight( NSTitlebarAccessoryViewController *ref, CGFloat minHeight );
NSLayoutAttribute TitlebarAccessoryViewControllerLayoutAttribute( NSTitlebarAccessoryViewController *ref );
void TitlebarAccessoryViewControllerSetLayoutAttribute( NSTitlebarAccessoryViewController *ref, NSLayoutAttribute attribute );

// Instance properties
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101600
BOOL TitlebarAccessoryViewControllerAutomaticallyAdjustsSize( NSTitlebarAccessoryViewController *ref );
void TitlebarAccessoryViewControllerSetAutomaticallyAdjustsSize( NSTitlebarAccessoryViewController *ref, BOOL flag );
#endif// 101600

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101200
BOOL TitlebarAccessoryViewControllerIsHidden( NSTitlebarAccessoryViewController *ref );
void TitlebarAccessoryViewControllerSeHidden( NSTitlebarAccessoryViewController *ref, BOOL flag );
#endif// 101200

#endif// 101000
