/*
 Touch.h

 Bernie Wylde
 */


#import "CocoaUI.h"

//#import "View.h"

// Class
Class TouchClass( void );

// Type
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101202
NSTouchType TouchType( NSTouch *ref );
#endif

// Properties of this touch
CFTypeRef TouchIdentity( NSTouch *ref );
NSTouchPhase TouchPhase( NSTouch *ref );
CGPoint TouchNormalizedPosition( NSTouch *ref );
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
BOOL TouchIsResting( NSTouch *ref );
#endif

// Properties of touch device
CFTypeRef TouchDevice( NSTouch *ref );
CGSize TouchDeviceSize( NSTouch *ref );

// Touch location
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101202
CGPoint TouchLocationInView( NSTouch *ref, NSInteger tag );
CGPoint TouchPreviousLocationInView( NSTouch *ref, NSInteger tag );
#endif

