/*
 URLResponse.h

 Bernie Wylde
 */


#import "CocoaUI.h"

// Class
Class URLResponseClass( void );

// Create
NSURLResponse *URLResponseWithURL( CFURLRef url, CFStringRef mimeType, NSInteger expectedContentLength, CFStringRef textEncodingName );

// Properties
NSInteger URLResponseExpectedContentLength( NSURLResponse *ref );
CFStringRef URLResponseSuggestedFilename( NSURLResponse *ref );
CFStringRef URLResponseMIMEType( NSURLResponse *ref );
CFStringRef URLResponseTextEncodingName( NSURLResponse *ref );
CFURLRef URLResponseURL( NSURLResponse *ref );
