/*
 UUID.m
 
 Bernie Wylde 20220316
 */

// Create
NSUUID *UUIDInit( void )
{ return [NSUUID UUID]; }

NSUUID *UUIDWithString( CFStringRef string )
{ return [[[NSUUID alloc] initWithUUIDString:(__bridge NSString *)string] autorelease]; }

// Values
CFStringRef UUIDString( NSUUID *ref )
{ return (__bridge CFStringRef)[ref UUIDString]; }

// Compare
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 120000
NSComparisonResult UUIDCmpare( NSUUID *ref, NSUUID *otherUUID )
{ return [ref compare:otherUUID]; }
#endif// 120000
