/*
 03-August-2012 Brian

     
 Demo of using the updated FD_SpecialDirectoryxxxx that were 
 using the deprecated-in-OS X 10.8 FSFindFolder().
 Now calls Cocoa method.

 Input to function has changed.
 Instead of the old Folder.h constants ( such as kUserDomain, kDesktopFolderTypeetc. which are also deprecated ),
 it uses the 'NS' constants such as NSUserDomainMask, NSApplicationSupportDirectory, NSDownloadsDirectory etc. )

 See Util_FileDirectoryII.incl( in Headers ) for more domain and directory constants.
*/

include "Util_FileDirectoryII.incl"

local fn DoIt
'~'1
dim as FSRef         deskRef,newFldRef
dim as OSStatus      theErr
dim as CFURLRef      url, newFldUrl
dim as FSSpec        spec, newFldSpec

// Folders are created on user's desktop

theErr = fn FD_SpecialDirectoryGetFSRef( NSUserDomainMask, NSDesktopDirectory, @deskRef )
theErr = fn FD_CreateDirectoryWithFSRef( fn CFSTR( "My TestFSRef " ), @deskRef, @newFldRef )

fn FD_SpecialDirectoryCreateCFURL( NSUserDomainMask, NSDesktopDirectory, @url )
theErr = fn FD_CreateDirectoryWithCFURL( fn CFSTR( "My TestURL " ), url, @newFldUrl )
CFRelease( url )

theErr = fn FD_SpecialDirectoryGetFSSpec( NSUserDomainMask, NSDesktopDirectory, @spec )
theErr = fn FD_CreateDirectoryWithFSSpec( fn CFSTR( "My TestSpec " ), @spec, @newFldSpec )

end fn


fn DoIt

RunApplicationEventLoop()

