//
//  CFMenu.h
//  
//  Bernie Wylde 20110802
//

#ifndef CFMENU_H
#define CFMENU_H

typedef CFTypeRef CFMenuRef;
typedef CFTypeRef CFMenuItemRef;

CFMenuRef CFMenuCreateWithTitle( CFStringRef title );

void CFMenuSetAutoenablesItems( CFMenuRef menu, Boolean flag );

CFMenuItemRef CFMenuAddItemWithTitle( CFMenuRef menu, CFStringRef title, void *callback, CFStringRef keyEquivalent );

void CFMenuItemSetKeyEquivalentModifierMask( CFMenuItemRef item, UInt32 mask );

void CFMenuItemSetEnabled( CFMenuItemRef item, Boolean flag );

#endif// ndef CFMENU_H
